> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List project artifacts

> Returns learn-agent and uploaded artifacts for a project, scoped to the selected agent.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /projects/{project_id}/artifacts
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /projects/{project_id}/artifacts:
    get:
      tags:
        - Artifacts
      summary: List project artifacts
      description: >-
        Returns learn-agent and uploaded artifacts for a project, scoped to the
        selected agent.
      operationId: list_project_artifacts
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID
          schema:
            type: string
        - name: agent_name
          in: query
          required: false
          description: >-
            Optional agent name used to scope artifacts. Omit to select the most
            recently updated artifact agent.
          schema:
            type: string
      responses:
        '200':
          description: Project artifacts
          content:
            application/json:
              schema:
                type: object
                properties:
                  selected_agent_name:
                    type:
                      - string
                      - 'null'
                  agents:
                    type: array
                    items:
                      type: object
                      properties:
                        agent_name:
                          type:
                            - string
                            - 'null'
                        latest_version:
                          type:
                            - number
                            - 'null'
                        updated_at:
                          type: string
                      required:
                        - agent_name
                        - latest_version
                        - updated_at
                      additionalProperties: false
                  learn_agent_artifact:
                    type:
                      - object
                      - 'null'
                    properties:
                      version:
                        type: number
                      run_id:
                        type: string
                      agent_name:
                        type:
                          - string
                          - 'null'
                      knowledge_md:
                        type: string
                      mermaid:
                        type: string
                      created_at:
                        type: string
                      updated_at:
                        type: string
                    required:
                      - version
                      - run_id
                      - agent_name
                      - knowledge_md
                      - mermaid
                      - created_at
                      - updated_at
                    additionalProperties: false
                  uploaded_artifacts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        project_id:
                          type: string
                        agent_name:
                          type:
                            - string
                            - 'null'
                        filename:
                          type: string
                        content_type:
                          type: string
                        size_bytes:
                          type: number
                        created_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                      required:
                        - id
                        - project_id
                        - agent_name
                        - filename
                        - content_type
                        - size_bytes
                        - created_at
                      additionalProperties: false
                required:
                  - selected_agent_name
                  - agents
                  - learn_agent_artifact
                  - uploaded_artifacts
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````